
// Riempie la pagina
initPage();


// Def. funzione di inizializzazione
async function initPage(){
	const pageInfo = await getPageInfo();
	updatePage(pageInfo);
}

// Esegue le queries, restituisce un oggetto con tutte le info per completare la pagina
async function getPageInfo(){
	var out = {};

	try{
		out.query1 = await doJsonQuery(query1, true);
		out.titolo = await doJsonQuery(queryTitolo, true);
		out.segnatura = await doJsonQuery(querySegnatura, true);
		out.areaLinguistica = await doJsonQuery(queryAreaLinguistica, true);
		out.descrizione = await doJsonQuery(queryDescrizione, true);
		out.testo = await doJsonQuery(queryTestoLemmatizzato, true);
		out.edizione = await doJsonQuery(queryEdizione, true);
		out.toponimi = await doJsonQuery(queryToponimi);
		out.antroponimi = await doJsonQuery(queryAntroponimi);

		// out.tipo = await doJsonQuery(queryTipo);
		// out.siglaOVI = await doJsonQuery(querySiglaOVI);
		// out.raccolta = await doJsonQuery(queryRaccolta);
	} catch(err){
		console.log(err);
	}

	console.log('out', out)
	return out;
}


// Aggiorna la pagina usando l'oggetto-info passato come parametro
function updatePage(queryOutput){

	if(queryOutput.titolo) document.getElementById("title").innerHTML = queryOutput.titolo.titolo.value;
	if(queryOutput.query1) document.getElementById("mittente_id").innerHTML = queryOutput.query1.mittente.value;
	if(queryOutput.query1) document.getElementById("destinatario_id").innerHTML = queryOutput.query1.destinatario.value;
	if(queryOutput.query1) document.getElementById("luogo_partenza_id").innerHTML = queryOutput.query1.luogo_partenza.value;
	if(queryOutput.query1) document.getElementById("luogo_arrivo_id").innerHTML = queryOutput.query1.luogo_arrivo.value;
	if(queryOutput.query1) document.getElementById("data_partenza_id").innerHTML = queryOutput.query1.data_partenza.value;
	if(queryOutput.query1) document.getElementById("data_arrivo_id").innerHTML = queryOutput.query1.data_arrivo.value;
	if(queryOutput.descrizione) document.getElementById("descrizione_id").innerHTML = queryOutput.descrizione.descrizione.value;
	if(queryOutput.areaLinguistica) document.getElementById("lingua_id").innerHTML = queryOutput.areaLinguistica.lingua.value;
	if(queryOutput.areaLinguistica) document.getElementById("area_linguistica_id").innerHTML = queryOutput.areaLinguistica.area_linguistica.value;
	if(queryOutput.segnatura) document.getElementById("segnatura_id").innerHTML = queryOutput.segnatura.segnatura_OVI.value;
	if(queryOutput.edizione) document.getElementById("edizione_id").innerHTML = queryOutput.edizione.edizione.value;
	if(queryOutput.testo) document.getElementById("trascrizione_id").innerHTML = queryOutput.testo.testo_lemmatizzato.value;
	//
	if(queryOutput.antroponimi && queryOutput.antroponimi.length){
		const listaAntroponimi = queryOutput.antroponimi.map(elem => elem.antroponimo.value);
		document.getElementById("antroponimi").innerHTML = formatListAsLi(listaAntroponimi);
	}
	if(queryOutput.toponimi && queryOutput.toponimi.length){
		const listaToponimi = queryOutput.toponimi.map(elem => elem.toponimo.value);
		document.getElementById("toponimi").innerHTML = formatListAsLi(listaToponimi);
	}
}

// Mini-utility per formattare liste
function formatListAsLi(thisList){
	toRet = "";
	thisList.forEach(value => toRet += "<li>" + value + "</li>");
	return toRet;
}

